org.richfaces.taglib

## Class DataFilterSliderTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.DataFilterSliderTagBase
              - - org.richfaces.taglib.DataFilterSliderTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class DataFilterSliderTag
      extends DataFilterSliderTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFilterSliderTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAction(javax.el.MethodExpression __action)` MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
    `void` | `setActionListener(javax.el.MethodExpression __actionListener)` MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setClientErrorMessage(javax.el.ValueExpression __clientErrorMessage)` An error message to use in client side validation events Setter for clientErrorMessage
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setEndRange(javax.el.ValueExpression __endRange)` A slider end point Setter for endRange
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFieldStyleClass(javax.el.ValueExpression __fieldStyleClass)` The styleClass for input that displays the value : manualInput must be "true" Setter for fieldStyleClass
    `void` | `setFilterBy(javax.el.ValueExpression __filterBy)` A getter of an object member required to compare a slider value to.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setFor(javax.el.ValueExpression __for)` The component using UIData (datatable id) Setter for for
    `void` | `setForValRef(javax.el.ValueExpression __forValRef)` This is a string which is used in a value attribute of the datatable.
    `void` | `setHandleStyleClass(javax.el.ValueExpression __handleStyleClass)` The handleStyleClass for a handle Setter for handleStyleClass
    `void` | `setHandleValue(javax.el.ValueExpression __handleValue)` Current handle value Setter for handleValue
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
    `void` | `setIncrement(javax.el.ValueExpression __increment)` Amount to which a handle on each slide/move should be incremented Setter for increment
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setManualInput(javax.el.ValueExpression __manualInput)` False value for this attribute makes text field "read-only" and "hidden".
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; a handler's position is changed on sliding Setter for onchange
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOnerror(javax.el.ValueExpression __onerror)` HTML: a script expression; event fires whenever an JavaScript error occurs Setter for onerror
    `void` | `setOninputkeydown(javax.el.ValueExpression __oninputkeydown)` HTML: a script expression; a key is pressed down Setter for oninputkeydown
    `void` | `setOninputkeypress(javax.el.ValueExpression __oninputkeypress)` HTML: a script expression; a key is pressed and released Setter for oninputkeypress
    `void` | `setOninputkeyup(javax.el.ValueExpression __oninputkeyup)` HTML: a script expression; a key is released Setter for oninputkeyup
    `void` | `setOnslide(javax.el.ValueExpression __onslide)` HTML: script expression; a handler is moved on sliding Setter for onslide
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRangeStyleClass(javax.el.ValueExpression __rangeStyleClass)` The rangeStyleClass for the background div showing a full range Setter for rangeStyleClass
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setSliderListener(javax.el.MethodExpression __sliderListener)` MethodBinding representing an action listener method that will be notified after changing of slider control position Setter for sliderListener
    `void` | `setStartRange(javax.el.ValueExpression __startRange)` A slider begin point Setter for startRange
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setStoreResults(javax.el.ValueExpression __storeResults)` Specifies if the component will store a UIData object (your table rows) in session Setter for storeResults
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
    `void` | `setTrackStyleClass(javax.el.ValueExpression __trackStyleClass)` The trackStyleClass for a background div Setter for trackStyleClass
    `void` | `setTrailer(javax.el.ValueExpression __trailer)` It shows or hides a trailer following a handle Setter for trailer
    `void` | `setTrailerStyleClass(javax.el.ValueExpression __trailerStyleClass)` The trailerStyleClass for a div following a handle Setter for trailerStyleClass
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
    `void` | `setWidth(javax.el.ValueExpression __width)` Width of the slider control.

    - ### Methods inherited from class org.richfaces.taglib.DataFilterSliderTagBase

      `setOnSlideSubmit, setSubmitOnSlide`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### DataFilterSliderTag

          public DataFilterSliderTag()

  - ### Method Detail

    - #### setAction

          public void setAction(javax.el.MethodExpression __action)

      MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
      Parameters:
        `action` - - new value

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression __actionListener)

      MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
      Parameters:
        `actionListener` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setClientErrorMessage

          public void setClientErrorMessage(javax.el.ValueExpression __clientErrorMessage)

      An error message to use in client side validation events Setter for clientErrorMessage
      Parameters:
        `clientErrorMessage` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setEndRange

          public void setEndRange(javax.el.ValueExpression __endRange)

      A slider end point Setter for endRange
      Parameters:
        `endRange` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFieldStyleClass

          public void setFieldStyleClass(javax.el.ValueExpression __fieldStyleClass)

      The styleClass for input that displays the value : manualInput must be "true" Setter for fieldStyleClass
      Parameters:
        `fieldStyleClass` - - new value

    - #### setFilterBy

          public void setFilterBy(javax.el.ValueExpression __filterBy)

      A getter of an object member required to compare a slider value to. This is a value that is used in results filtering Setter for filterBy
      Parameters:
        `filterBy` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setFor

          public void setFor(javax.el.ValueExpression __for)

      The component using UIData (datatable id) Setter for for
      Parameters:
        `for` - - new value

    - #### setForValRef

          public void setForValRef(javax.el.ValueExpression __forValRef)

      This is a string which is used in a value attribute of the datatable. It is used for resetting the datatable back to the original list provided by a backing bean Setter for forValRef
      Parameters:
        `forValRef` - - new value

    - #### setHandleStyleClass

          public void setHandleStyleClass(javax.el.ValueExpression __handleStyleClass)

      The handleStyleClass for a handle Setter for handleStyleClass
      Parameters:
        `handleStyleClass` - - new value

    - #### setHandleValue

          public void setHandleValue(javax.el.ValueExpression __handleValue)

      Current handle value Setter for handleValue
      Parameters:
        `handleValue` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setIncrement

          public void setIncrement(javax.el.ValueExpression __increment)

      Amount to which a handle on each slide/move should be incremented Setter for increment
      Parameters:
        `increment` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setManualInput

          public void setManualInput(javax.el.ValueExpression __manualInput)

      False value for this attribute makes text field "read-only" and "hidden". Hence, the value can be changed only from a handle. Default value is "true" Setter for manualInput
      Parameters:
        `manualInput` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOnchange

          public void setOnchange(javax.el.ValueExpression __onchange)

      HTML: script expression; a handler's position is changed on sliding Setter for onchange
      Parameters:
        `onchange` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOnerror

          public void setOnerror(javax.el.ValueExpression __onerror)

      HTML: a script expression; event fires whenever an JavaScript error occurs Setter for onerror
      Parameters:
        `onerror` - - new value

    - #### setOninputkeydown

          public void setOninputkeydown(javax.el.ValueExpression __oninputkeydown)

      HTML: a script expression; a key is pressed down Setter for oninputkeydown
      Parameters:
        `oninputkeydown` - - new value

    - #### setOninputkeypress

          public void setOninputkeypress(javax.el.ValueExpression __oninputkeypress)

      HTML: a script expression; a key is pressed and released Setter for oninputkeypress
      Parameters:
        `oninputkeypress` - - new value

    - #### setOninputkeyup

          public void setOninputkeyup(javax.el.ValueExpression __oninputkeyup)

      HTML: a script expression; a key is released Setter for oninputkeyup
      Parameters:
        `oninputkeyup` - - new value

    - #### setOnslide

          public void setOnslide(javax.el.ValueExpression __onslide)

      HTML: script expression; a handler is moved on sliding Setter for onslide
      Parameters:
        `onslide` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setRangeStyleClass

          public void setRangeStyleClass(javax.el.ValueExpression __rangeStyleClass)

      The rangeStyleClass for the background div showing a full range Setter for rangeStyleClass
      Parameters:
        `rangeStyleClass` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setSliderListener

          public void setSliderListener(javax.el.MethodExpression __sliderListener)

      MethodBinding representing an action listener method that will be notified after changing of slider control position Setter for sliderListener
      Parameters:
        `sliderListener` - - new value

    - #### setStartRange

          public void setStartRange(javax.el.ValueExpression __startRange)

      A slider begin point Setter for startRange
      Parameters:
        `startRange` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setStoreResults

          public void setStoreResults(javax.el.ValueExpression __storeResults)

      Specifies if the component will store a UIData object (your table rows) in session Setter for storeResults
      Parameters:
        `storeResults` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setTrackStyleClass

          public void setTrackStyleClass(javax.el.ValueExpression __trackStyleClass)

      The trackStyleClass for a background div Setter for trackStyleClass
      Parameters:
        `trackStyleClass` - - new value

    - #### setTrailer

          public void setTrailer(javax.el.ValueExpression __trailer)

      It shows or hides a trailer following a handle Setter for trailer
      Parameters:
        `trailer` - - new value

    - #### setTrailerStyleClass

          public void setTrailerStyleClass(javax.el.ValueExpression __trailerStyleClass)

      The trailerStyleClass for a div following a handle Setter for trailerStyleClass
      Parameters:
        `trailerStyleClass` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Width of the slider control. Default value is "200px". Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `DataFilterSliderTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `DataFilterSliderTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.